For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeveloper ForumLogin
  • Overview
    • Introduction
    • Getting Started
    • Integration Example (PSA)
    • Authentication
    • Error Handling
    • Pagination
    • Filtering
    • Ordering
    • Rate Limits
    • Permissions
    • Webhooks
    • MCP Server
    • Versioning
    • Changelog
    • Support
  • API v1 Reference
    • Projects Overview
    • Tasks Overview
    • Time Tracking Overview
    • Documents Overview
    • Search Overview
    • Companies Overview
    • Users Overview
      • GETReturns the currently logged-in user and workspace.
      • GETReturns all users with their details.
      • GETTries to retrieve user name and gender for the specified email.
      • GETReturns the currently logged-in user and workspace.
      • GETReturns the user with the specified id.
      • PUTUpdates the user with the specified id.
      • DELDeletes the user with the specified id.
      • POSTActivates the user with the specified id.
      • GETReturns the contact infos of the user with the specified id.
      • POSTCreates a new contact info for the user with the specified id.
      • GETReturns the contact info of the user with the specified id.
      • PUTUpdates the contact info of the user with the specified id.
      • DELDeletes the contact info of the user with the specified id.
      • POSTDeactivates the user with the specified id.
      • POSTArchives or unarchives the user with the specified id.
    • Files & Images Overview
    • Custom Fields Overview
    • Workload & Planning Overview
    • Project Templates Overview
    • Workflows Overview
    • Login & Access Overview
    • API Management Overview
LogoLogo
SupportDeveloper ForumLogin
API v1 ReferenceUsers

Returns the currently logged-in user and workspace.

GET
https://api.awork.com/api/v1/me
GET
/api/v1/me
$curl https://api.awork.com/api/v1/me \
> -H "Authorization: Bearer <token>"
1{
2 "firstName": "Carla",
3 "lastName": "Creative",
4 "birthDate": "1998-04-19T00:00:000Z",
5 "gender": "female",
6 "title": "Miss",
7 "position": "string",
8 "language": "en-GB",
9 "id": "123e4567-e89b-12d3-a456-426614174000",
10 "status": {
11 "invitationAccepted": true,
12 "isDeactivated": true
13 },
14 "createdOn": "2024-01-15T09:30:00Z",
15 "createdBy": "123e4567-e89b-12d3-a456-426614174000",
16 "updatedOn": "2024-01-15T09:30:00Z",
17 "updatedBy": "123e4567-e89b-12d3-a456-426614174000",
18 "isArchived": false,
19 "isDeactivated": false,
20 "deactivatedOn": "2024-01-15T09:30:00Z",
21 "deletedOn": "2024-01-15T09:30:00Z",
22 "hasImage": true,
23 "shouldMigrateToConnect": true,
24 "userContactInfos": [
25 {
26 "label": null,
27 "value": null,
28 "type": "address",
29 "subType": "work",
30 "addressLine1": "Torstrasse 140",
31 "addressLine2": "Hof A",
32 "zipCode": "10119",
33 "city": "Berlin",
34 "state": null,
35 "country": "DE",
36 "isAddress": true,
37 "id": "123e4567-e89b-12d3-a456-426614174000",
38 "createdOn": "2024-01-15T09:30:00Z",
39 "createdBy": "123e4567-e89b-12d3-a456-426614174000",
40 "updatedOn": "2024-01-15T09:30:00Z",
41 "updatedBy": "123e4567-e89b-12d3-a456-426614174000"
42 }
43 ],
44 "resourceVersion": 637825154598057900,
45 "tags": [
46 {
47 "id": "123e4567-e89b-12d3-a456-426614174000",
48 "name": "Design",
49 "color": "purple"
50 }
51 ],
52 "teams": [
53 {
54 "id": "123e4567-e89b-12d3-a456-426614174000",
55 "name": "Designers",
56 "icon": "paintbrush",
57 "color": "purple"
58 }
59 ],
60 "isExternal": true,
61 "accountId": "123e4567-e89b-12d3-a456-426614174000",
62 "workspace": {
63 "id": "123e4567-e89b-12d3-a456-426614174000",
64 "name": "NCNSTN",
65 "url": "https://ncnstn.awork.com"
66 }
67}
<Check title="Required Permissions" icon="key">Any authenticated user.</Check>
Was this page helpful?
Previous

Returns all users with their details.

Next
Built with
Required Permissions
Any authenticated user.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Response

OK
firstNamestring or null0-1000 characters
The firstname of the user.
lastNamestring or null0-1000 characters
The lastname of the user.
birthDatestring or nullformat: "date-time"
The birthdate of the user.
genderstring or null0-25 characters
The gender of the user.
titlestring or null0-100 characters
The title of the user.
positionstring or null0-1000 characters
The position of the user.
languagestring or null0-25 characters

The language preference of the user in ISO 639-1 format.

idstringformat: "uuid"
The id of the user.
statusobject
The status of the user.
createdOnstringformat: "date-time"
The date this user was created.
createdBystringformat: "uuid"
The id of the user who created this user.
updatedOnstringformat: "date-time"
The date when this user was last updated.
updatedBystringformat: "uuid"
The id of the user who updated the entity.
isArchivedboolean
Whether this user is archived. Archived users are automatically inactive and only exist for reference purposes.
isDeactivatedboolean
Whether the user has been deactivated.
deactivatedOnstring or nullformat: "date-time"
The date the user was deactivated.
deletedOnstring or nullformat: "date-time"

The date the user was deleted (soft delete).

hasImageboolean
Whether the user has uploaded a profile image.
shouldMigrateToConnectboolean
Whether the user should be migrated to Connect.
userContactInfoslist of objects or null
The contact information assigned to this user.
resourceVersionlongRead-only
The version of the entity, updated on every modification, to the ticks in UTC. Not identical to UpdatedOn.
tagslist of objects or null
The tags of this user.
teamslist of objects or null
The teams the user is associated to.
isExternalboolean

True if this entity is coming from an external workspace (awork Connect).

accountIdstring or nullformat: "uuid"
The account id of the user. Only used internally.
workspaceobject
The user's current workspace model.

Errors

404
Not Found Error